Bug 1461522 - Validation error: ems/core not defined while ContainerGroups in the "Pending" state
Validation error: ems/core not defined while ContainerGroups in the "Pending"...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Yaacov Zamir
Einat Pacifici
container:c&u
: ZStream
Depends On: 1458797
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 12:39 EDT by Satoe Imaishi
Modified: 2017-08-02 13:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1458797
Environment:
Last Closed: 2017-08-02 13:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-14 12:46:06 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b778635b596d0d6044d80ca56d4c21e8e5225860

commit b778635b596d0d6044d80ca56d4c21e8e5225860
Author:     Federico Simoncelli <federico.simoncelli@gmail.com>
AuthorDate: Thu Jun 8 12:50:58 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 12:40:31 2017 -0400

    Merge pull request #33 from yaacov/warn-if-no-hardwar
    
    Warn if no hardware
    (cherry picked from commit bb7e574826d48e5cc34b0ff112a584ad17dde5b9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461522

 .../container_manager/metrics_capture.rb           | 22 +++++++++++++++-----
 .../metrics_capture/capture_context.rb             | 24 ++++++++++++----------
 2 files changed, 30 insertions(+), 16 deletions(-)
Comment 3 Yaacov Zamir 2017-06-19 04:57:52 EDT
backported upstream
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/33
Comment 4 Einat Pacifici 2017-07-04 07:12:22 EDT
Verified. 
Error in evm.log: "[----] W, [2017-07-04T07:03:05.499894 #46741:e97140]  WARN -- : MIQ(ManageIQ::Providers::Kubernetes::ContainerManager::MetricsCapture#perf_collect_metrics) [ContainerGroup(35)] no associated node
"
Comment 6 errata-xmlrpc 2017-08-02 13:31:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.